Name:          nemea-modules-ng
Version:       1.2.0
Release:       20240717113134%{?dist}
Summary:       This repository contains basic modules of the NEMEA++ system

License:       BSD
Source0:       %{name}-%{version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires: gcc >= 8
BuildRequires: gcc-c++ >= 8
BuildRequires: make
BuildRequires: git
BuildRequires: cmake >= 3.12
BuildRequires: libtrap-devel
BuildRequires: unirec >= 3.0.0
BuildRequires: ncurses-devel

Requires: libtrap
Requires: unirec
Requires: ncurses

%description
The package contains tools, configuration files and traffic samples
that make up the main components of the test environment.

%prep
%autosetup

%build
%cmake -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%{_bindir}/nemea/whitelist
%{_bindir}/nemea/sampler
%{_bindir}/nemea/telemetry_stats

%changelog
